TemplateSubTask.ExtentTypes (XDoclet 1.2.3 API)
Keywords: xdoclet.TemplateSubTask.ExtentTypes class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet
Class TemplateSubTask.ExtentTypes

    java.lang.Object
      org.apache.tools.ant.types.EnumeratedAttribute
          xdoclet.TemplateSubTask.ExtentTypes

Enclosing class:
  TemplateSubTask

public static final class TemplateSubTask.ExtentTypes
extends org.apache.tools.ant.types.EnumeratedAttribute

Author:
  Ara Abrahamian (ara_e@email.com)
created
  July 19, 2001

Field Summary
`static String` | `EXTENT_TYPE_CONCRETE_TYPE`
`static String` | `EXTENT_TYPE_HIERARCHY`
`static String` | `EXTENT_TYPE_SUPERCLASS`

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`TemplateSubTask.ExtentTypes()`

Method Summary
`String[]` | `getValues()`

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EXTENT_TYPE_CONCRETE_TYPE

    public static final String EXTENT_TYPE_CONCRETE_TYPE

See Also:
  Constant Field Values

### EXTENT_TYPE_SUPERCLASS

    public static final String EXTENT_TYPE_SUPERCLASS

See Also:
  Constant Field Values

### EXTENT_TYPE_HIERARCHY

    public static final String EXTENT_TYPE_HIERARCHY

See Also:
  Constant Field Values

Constructor Detail

### TemplateSubTask.ExtentTypes

    public TemplateSubTask.ExtentTypes()

Method Detail

### getValues

    public String[] getValues()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD